Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.resolver.mashup
Interface DefaultMashupSitemapContentHandler

All Superinterfaces:
  org.xml.sax.ContentHandler, DefaultContentHandler, ResettableContentHandler

    public interface DefaultMashupSitemapContentHandler

extends DefaultContentHandler

Extension of the `AtomThreadingContentHandler` interface that provides convenience methods to more easily generate ATOM threading events.

The `atomXXX` methods generate complete ATOM tags, consisting of the start tag, an optional body and an end tag.

The `startXXX` methods are provided for convenience for those cases when no extra attributes are required for a starting element.

The `dateTime` methods write a date string in RFC3339 date format into a text() element.

The `uri` methods serialize URIs into a text() element.

The `text` methods serialize text() elements.

Since:
  6.0.1

Method Summary
`void` | `sitemapEntries(java.util.Collection<? extends Addressable> rColl, java.lang.String oMode)`
`void` | `sitemapEntries(java.lang.Iterable<? extends Addressable> rColl, java.lang.String oMode)`
`void` | `sitemapEntry(Addressable rAddr, java.lang.String oMode)`
`void` | `sitemapEntry(java.net.URI rURI, java.lang.String oMode, java.util.Map<java.lang.String,java.lang.String[]> params)`
`void` | `sitemapParameter(java.lang.String rName, java.lang.Iterable<java.lang.String> values)`
`void` | `sitemapParameter(java.lang.String rName, java.util.List<java.lang.String> values)`
`void` | `sitemapParameter(java.lang.String rName, java.lang.String[] values)`
`void` | `sitemapParameters(java.util.Map<java.lang.String,java.lang.String[]> params)`
`void` | `sitemapSitemap(java.util.Collection<? extends Addressable> rColl, java.lang.String oMode)`
`void` | `sitemapSitemap(java.lang.Iterable<? extends Addressable> rColl, java.lang.String oMode)`
`void` | `sitemapValue(java.lang.String value)`
`void` | `sitemapValues(java.util.Collection<java.lang.String> values)`
`void` | `sitemapValues(java.lang.Iterable<java.lang.String> values)`
`void` | `sitemapValues(java.util.List<java.lang.String> values)`
`void` | `sitemapValues(java.lang.String[] values)`
`void` | `startEntry(java.lang.String rURI, java.lang.String oMode)`
`void` | `startEntry(java.net.URI rURI, java.lang.String oMode)`
`void` | `startParameter(java.lang.String rName)`
`void` | `startSiteMap()`
`void` | `startValue()`

Methods inherited from interface com.ibm.portal.resolver.xml.DefaultContentHandler
`dateTime, dateTime, getInnerContentHandler, getResult, getWriter, number, number, text, text, transform, uri, uri, uri, uri`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### sitemapEntries

    void sitemapEntries(java.lang.Iterable<? extends Addressable> rColl,
                        java.lang.String oMode)
                        throws org.xml.sax.SAXException,
                               java.net.URISyntaxException

  Throws:
    `org.xml.sax.SAXException`
    `java.net.URISyntaxException`

### sitemapEntries

    void sitemapEntries(java.util.Collection<? extends Addressable> rColl,
                        java.lang.String oMode)
                        throws org.xml.sax.SAXException,
                               java.net.URISyntaxException

  Throws:
    `org.xml.sax.SAXException`
    `java.net.URISyntaxException`

### sitemapEntry

    void sitemapEntry(Addressable rAddr,
                      java.lang.String oMode)
                      throws org.xml.sax.SAXException,
                             java.net.URISyntaxException

  Throws:
    `org.xml.sax.SAXException`
    `java.net.URISyntaxException`

### sitemapEntry

    void sitemapEntry(java.net.URI rURI,
                      java.lang.String oMode,
                      java.util.Map<java.lang.String,java.lang.String[]> params)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### sitemapParameter

    void sitemapParameter(java.lang.String rName,
                          java.lang.Iterable<java.lang.String> values)
                          throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### sitemapParameter

    void sitemapParameter(java.lang.String rName,
                          java.util.List<java.lang.String> values)
                          throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### sitemapParameter

    void sitemapParameter(java.lang.String rName,
                          java.lang.String[] values)
                          throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### sitemapParameters

    void sitemapParameters(java.util.Map<java.lang.String,java.lang.String[]> params)
                           throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### sitemapSitemap

    void sitemapSitemap(java.lang.Iterable<? extends Addressable> rColl,
                        java.lang.String oMode)
                        throws org.xml.sax.SAXException,
                               java.net.URISyntaxException

  Throws:
    `org.xml.sax.SAXException`
    `java.net.URISyntaxException`

### sitemapSitemap

    void sitemapSitemap(java.util.Collection<? extends Addressable> rColl,
                        java.lang.String oMode)
                        throws org.xml.sax.SAXException,
                               java.net.URISyntaxException

  Throws:
    `org.xml.sax.SAXException`
    `java.net.URISyntaxException`

### sitemapValue

    void sitemapValue(java.lang.String value)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### sitemapValues

    void sitemapValues(java.lang.Iterable<java.lang.String> values)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### sitemapValues

    void sitemapValues(java.util.Collection<java.lang.String> values)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### sitemapValues

    void sitemapValues(java.util.List<java.lang.String> values)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### sitemapValues

    void sitemapValues(java.lang.String[] values)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startEntry

    void startEntry(java.lang.String rURI,
                    java.lang.String oMode)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startEntry

    void startEntry(java.net.URI rURI,
                    java.lang.String oMode)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startParameter

    void startParameter(java.lang.String rName)
                        throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startSiteMap

    void startSiteMap()
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startValue

    void startValue()
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD